putty
API ReferenceInference

Rename a thread

Replaces the thread's title. The rename is total, not incremental.

PATCH
/inference/threads/{id}

Replaces the thread's title. The rename is total, not incremental.

Authorization

bearerAuth
AuthorizationBearer <token>

A bearer token. The Account routes accept a Privy access token; the MCP transport accepts an sk- API key issued by POST /account/api-keys.

In: header

Path Parameters

id*string

The id of the thread to rename.

Request Body

application/json

The new title.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/inference/threads/string" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{  "id": "string",  "title": "string",  "model": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}